import type { JSONSchema7, JSONSchema7Definition } from 'json-schema';
import type { AllOfSchema, AnyOfSchema, ArraySchema, EnumSchema, ListSchema, ObjectSchema, OneOfSchema, PropertySchema, RefSchema, TupleSchema } from './types.ts';
export declare function isSchema(schema: JSONSchema7Definition): schema is JSONSchema7;
export declare function isOneOfSchema(schema: JSONSchema7Definition): schema is OneOfSchema;
export declare function isAnyOfSchema(schema: JSONSchema7Definition): schema is AnyOfSchema;
export declare function isAllOfSchema(schema: JSONSchema7Definition): schema is AllOfSchema;
export declare function isUnionSchema(schema: JSONSchema7Definition): schema is OneOfSchema | AnyOfSchema | AllOfSchema;
export declare function isObjectSchema(schema: JSONSchema7Definition): schema is ObjectSchema;
export declare function isPropertySchema(schema: JSONSchema7Definition): schema is PropertySchema;
export declare function isArraySchema(schema: JSONSchema7Definition): schema is ArraySchema;
export declare function isListSchema(schema: JSONSchema7Definition): schema is ListSchema;
export declare function isTupleSchema(schema: JSONSchema7Definition): schema is TupleSchema;
export declare function isEnumSchema(schema: JSONSchema7Definition): schema is EnumSchema;
export declare function isRefSchema(schema: JSONSchema7Definition): schema is RefSchema;
